Node.js
import Shoply from "@shoplygg/node";
const shoply = new Shoply({ apiKey: process.env.SHOPLY_API_KEY });
const result = await shoply.resellerProducts.pickable();<?php
require 'vendor/autoload.php';
$shoply = new Shoply\Client(['apiKey' => getenv('SHOPLY_API_KEY')]);
$result = $shoply->resellerProducts->pickable();
import shoply
client = shoply.Client() # reads SHOPLY_API_KEY
result = client.resellerProducts.pickable()
curl --request GET \
--url https://api.shoply.gg/v1/stores/{storeId}/resellers/products/pickable \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoply.gg/v1/stores/{storeId}/resellers/products/pickable"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shoply.gg/v1/stores/{storeId}/resellers/products/pickable")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shoply.gg/v1/stores/{storeId}/resellers/products/pickable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": null,
"code": null,
"data": [
{
"variantId": "17e8cb5f-acf9-4f64-bf6b-274b0c6b3183",
"productId": "7626c760-c6cd-4b38-8344-cfbba0148a80",
"productName": "Northwind Pro",
"variantName": "1 month",
"image": null,
"delivery": "license_keys",
"inPanel": false,
"price": 9.99
},
{
"variantId": "03e18fb0-e7e2-4773-840f-c730079ec746",
"productId": "7626c760-c6cd-4b38-8344-cfbba0148a80",
"productName": "Northwind Pro",
"variantName": "1 year",
"image": null,
"delivery": "license_keys",
"inPanel": false,
"price": 79
}
],
"meta": {
"categories": [
{
"id": "dca061bf-e640-4fd9-b1f5-25bc9a5d4ca3",
"name": "Software",
"image": null,
"variantIds": [
"17e8cb5f-acf9-4f64-bf6b-274b0c6b3183",
"03e18fb0-e7e2-4773-840f-c730079ec746"
]
}
]
}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}Resellers
List what the panel can sell
The store’s products with the options a panel can sell: those delivered as license keys or by dynamic delivery. A file is never sold to resellers. meta.categories is the store’s categories they are in.
Needs the resellers.read permission (Read Resellers).
GET
/
stores
/
{storeId}
/
resellers
/
products
/
pickable
Node.js
import Shoply from "@shoplygg/node";
const shoply = new Shoply({ apiKey: process.env.SHOPLY_API_KEY });
const result = await shoply.resellerProducts.pickable();<?php
require 'vendor/autoload.php';
$shoply = new Shoply\Client(['apiKey' => getenv('SHOPLY_API_KEY')]);
$result = $shoply->resellerProducts->pickable();
import shoply
client = shoply.Client() # reads SHOPLY_API_KEY
result = client.resellerProducts.pickable()
curl --request GET \
--url https://api.shoply.gg/v1/stores/{storeId}/resellers/products/pickable \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoply.gg/v1/stores/{storeId}/resellers/products/pickable"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shoply.gg/v1/stores/{storeId}/resellers/products/pickable")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shoply.gg/v1/stores/{storeId}/resellers/products/pickable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": null,
"code": null,
"data": [
{
"variantId": "17e8cb5f-acf9-4f64-bf6b-274b0c6b3183",
"productId": "7626c760-c6cd-4b38-8344-cfbba0148a80",
"productName": "Northwind Pro",
"variantName": "1 month",
"image": null,
"delivery": "license_keys",
"inPanel": false,
"price": 9.99
},
{
"variantId": "03e18fb0-e7e2-4773-840f-c730079ec746",
"productId": "7626c760-c6cd-4b38-8344-cfbba0148a80",
"productName": "Northwind Pro",
"variantName": "1 year",
"image": null,
"delivery": "license_keys",
"inPanel": false,
"price": 79
}
],
"meta": {
"categories": [
{
"id": "dca061bf-e640-4fd9-b1f5-25bc9a5d4ca3",
"name": "Software",
"image": null,
"variantIds": [
"17e8cb5f-acf9-4f64-bf6b-274b0c6b3183",
"03e18fb0-e7e2-4773-840f-c730079ec746"
]
}
]
}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}
